SET SERVEROUTPUT ON SIZE 1000000;
SET VERIFY OFF

DECLARE
	l_total_extracted	NUMBER;
	l_total_imported	NUMBER;				
	l_func_id			VARCHAR2(100):='CAPPOREC_REQUISITION_DISTRIBUTION';
	l_code VARCHAR2(100):=UPPER('&1');
BEGIN
	SELECT COUNT(1)
	INTO l_total_extracted        
	FROM  PO_REQ_DISTRIBUTIONS_ALL		PHA,
		HR_ALL_ORGANIZATION_UNITS	HRO
	WHERE	PHA.ORG_ID	=	HRO.ORGANIZATION_ID
	AND		SUBSTR(HRO.NAME,4,4)	=	l_code;
	
	SELECT COUNT(1) 
	INTO l_total_imported
	FROM CRST_PO_REQ_DISTRIBUTIONS_ALL;

	dbms_output.put_line('Function: '||l_func_id);		
	dbms_output.put_line('Total Extracted: '||TO_CHAR(l_total_extracted)) ;
	dbms_output.put_line('Total Imported:  '||TO_CHAR(l_total_imported));
	IF l_total_extracted <> l_total_imported THEN
		dbms_output.put_line('Error: No. of Records do not match!');
	END IF;		
						
EXCEPTION
	WHEN OTHERS THEN	
		dbms_output.put_line('Function Error: '||l_func_id);			
END;
/

